Finland

Sample structures of the E_KYC_CHECK API responses for Finland FTN Verification (fin_bankid_ftn).

GREEN

The following response example represents successful checks.

{
  "checks": [
    {
      "answer": "GREEN",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2026-03-01 12:32:25",
      "id": "gbg4570d-8431-3422-9g89-570226ac9e3a",
      "inputDoc": {
        "idDocType": "OTHER",
        "country": "FIN"
      },
      "extractedDoc": {
        "country": "FIN",
        "number": "030385-123Y",
        "firstName": "Laura",
        "lastName": "Nieminen",
        "dob": "1985-03-03",
        "additionalFields": [
          {
            "name": "levelOfAssurance",
            "value": "SUBSTANTIAL"
          },
          {
            "name": "bank",
            "value": "Nordea"
          }
        ]
      },
      "ekycCheckInfo": {
        "confirmationId": "RP8zHi3Lt7ZQMhHw78EOoai9",
        "confirmationType": "oAuth"
      }
    }
  ]
}

YELLOW

The following example represents a case where the verification process is still in progress, and the applicant has not yet completed all required steps.

{
  "checks": [
    {
      "answer": "YELLOW",
      "checkType": "E_KYC_CHECK",
      "createdAt": "2026-03-01 12:28:02",
      "id": "gbg4570d-8431-3422-9g89-570226ac9e3a",
      "inputDoc": {
        "idDocType": "OTHER",
        "country": "FIN"
      },
      "ekycCheckInfo": {
        "confirmationId": "RP8zHi3Lt7ZQMhHw78EOoai9",
        "confirmationType": "oAuth"
      }
    }
  ]
}

Response explained

Root variables

The root variables are the core Non-Doc check result data items. Some of them may include nested attributes and element fields.

FieldTypeDescription
idStringUnique identifier of the check.
answerStringCheck answer:
  • GREEN — the check has passed successfully. Data found in the database.
  • YELLOW — verification process is not yet complete. We await the applicant's completion of the required steps.
checkTypeStringIndicates that it is a E_KYC_CHECK check type.
createdAtDateDate and time (UTC) of the latest Non-Doc check result, in the format YYYY-MM-DD hh:mm:ss (for example, 2024-07-07 17:23:43).
inputDocObjectRepresents the data used for the database check.
extractedDocObjectExternal check source data. It may not be present if the data is not received.
ekycCheckInfoObjectContains information related to the eKYC confirmation process.

inputDoc attributes

The following table explains the inputDoc attributes representing the data taken from the provided document.

FieldTypeDescription
idDocTypeStringType of the document provided for verification. For example, TAX_PAYER_NUMBER_DOC, ID_CARD, PASSPORT, DRIVERS.
countryStringAlpha-3 country code (for example, DEU, GBR, ARG).

extractedDoc attributes

The extractedDoc object includes the data obtained from the external source during the E_KYC_CHECK check.

FieldTypeDescription
countryStringAlpha-3 country code (for example, DEU, GBR, ARG).
numberStringRegistration number.
firstNameStringApplicant first name.
lastNameStringApplicant last name.
dobDateApplicant date of birth (format YYYY-mm-dd, for example, 2001-09-25) as it is specified in the document.
additionalFieldsArray of objectsA collection of key-value pairs, representing additional information about the applicant.

additionalFields element fields

An array of key-value (name-value) pairs providing non-standard additional information.

Example:

{
  "name": "levelOfAssurance",
  "value": "SUBSTANTIAL"
}

The following table explains some of the possible keys.

KeyValue typeValue description
levelOfAssuranceStringLevel of Assurance. The only possible value is SUBSTANTIAL.
bankStringName of the applicant's bank.

ekycCheckInfo attributes

FieldTypeDescription
confirmationIdStringUnique identifier of the eKYC confirmation session.
confirmationTypeString

Indicates the eKYC confirmation type, if available.

For example, oAuth means that Non-Doc verification is confirmed using an OAuth-based authentication flow with an external identity provider (bank account, national digital identification system, and so on).